
body
{
    background-color: black;

    display : inline;

    position:relative;

    overflow: hidden;
}

canvas
{
    width:70%;
    height:100%;

    display : inline;

    margin : 0px;

    float : left;

    margin-top : 0px;
    margin-left : 0px;

    overflow: hidden;

    position:relative;
    
    background-color: red;
}

/***** Design général des interfaces *****/
#interface
{
     background-color: rgb(255, 255, 255);
    
    width: 30%;
    height: 100%;

    display: inline;

    float: right;

    overflow: auto;

    margin: 0px;
    padding: 0px;
    
    font-family: Arial;
    font-size: 14px;

    position: relative;
}

@media screen and (max-width: 1701px)
{
    canvas
    {
       width: 67%;
    }
    
    #interface
    {
        width: 33%;
    }
}

@media screen and (max-width: 1200px)
{
    canvas
    {
        width: 64%;
    }
    
    #interface
    {
        width: 36%;
    }
}

#onglets_interface
{
    display:inline;
    
    width: 28px;
    height: 100%;
    
    padding : 0px;
    margin : 0px;
    
    float: right;
}

/* Design des onglet de l'interface */
.onglet
{
    width: 24px;
    
    background-color: white;
    
    padding-top : 7px;
    padding-bottom : 7px;
    padding-right : 0px;
    padding-left : 5px;
    
    margin-top : 0px;
    margin-bottom : 10px;
    
    color: black;
    
    float: right;
    
    border-top-left-radius: 12px;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 12px;
    
    border : none;

    writing-mode: vertical-lr;
    
    cursor: pointer;
    
    font-family: Arial;
    font-size: 17px;
    
    user-select : none;
    -moz-user-select : none;
    -webkit-user-select : none;
    -ms-user-select : none;  
}

#onglet_Visualisation
{
    background-color: #FE8282;
    
    background:  linear-gradient( to right, #ff9191, #FE8282);
}

#onglet_Visualisation:hover
{
   background-color: #FE8282;
   
   background: linear-gradient( to right, #ff7474, #FE8282);
   
   box-shadow: 0px 0px 0px 2px #ff9191;
}

#onglet_Recherche
{
    background-color: #82C8FE;
    
    background:  linear-gradient( to right, #98d2ff, #82C8FE);
}

#onglet_Recherche:hover
{
   background-color: #82C8FE;
   
   background: linear-gradient( to right, #75c3ff, #82C8FE);
   
   box-shadow: 0px 0px 0px 2px #98d2ff;
}

#onglet_Informations
{
    background-color: #6FE17A;
    
    background:  linear-gradient( to right, #8ee296, #6FE17A);
}

#onglet_Informations:hover
{
   background-color: #6FE17A;
   
   background: linear-gradient( to right, #4fdc5d, #6FE17A);
   
   box-shadow: 0px 0px 0px 2px #8ee296;
}

#onglet_Aide
{
    background-color: #ffcc69;
    
    background:  linear-gradient( to right, #ffd37f, #ffcc69);
}

#onglet_Aide:hover
{
    background-color: #ffcc69;
    
    background:  linear-gradient( to right, #ffc555, #ffcc69);
    
    box-shadow: 0px 0px 0px 2px #ffd37f;
}

#onglet_Retour_au_menu
{
    background-color: #93e1c7;
    
    background:  linear-gradient( to right, #abe1cf, #93e1c7);
}

#onglet_Retour_au_menu:hover
{
    background-color: #93e1c7;
    
    background:  linear-gradient( to right, #7bddbc, #93e1c7);
    
    box-shadow: 0px 0px 0px 2px #abe1cf;
}

/* Design des éléments principaux des interfaces */
.cadre_interface
{
    display:block;
      
    overflow:auto;
    
    width:unset;
    
    margin-left : 3px;
    
    border-right : 3px solid #FECDCD;
    padding-bottom : 10px;
    
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;
    
    background-color: rgb(255, 255, 255);
}

.titre_cadre_interface
{
    display: block; 

    text-align : center;
    
    padding-top : 1px;
    padding-bottom : 1px;
    margin-bottom : 8px;
    
    margin-right: auto;
}

.contenu_cadre_interface
{
    margin-left : 5px;
    margin-right : 5px;
    
    background-color: rgb(255, 255, 255);
}

p
{
    font-family: Arial;
    font-size: 14px;
}

button
{
    font-family: Arial;
    font-size: 14px;
}

input
{
    font-family: Arial;
    font-size: 14px;
}

label
{
    font-family: Arial;
    font-size: 14px;
}

select
{
    font-family: Arial;
    font-size: 14px;
}

/***** Design de l'interface de visualisation *****/
#capture_ecran
{
    display : inline-block;
    background-color: rgb(255, 255, 255);
    width: 98%;
    
    color : black;
    text-decoration:none; 
    
    margin : 0px;
    padding-left : 3px;
    
    float : left;
    
   /* vertical-align: middle; */
}

#capture_ecran:hover
{
    background-color: rgb(225, 225, 225);
}

#image_capture
{
    display : inline-block;
    
    float : left;
    
    margin : 0px;
    margin-top : -4px;
    margin-right : 12px;
    
    height: 23px;
    width: 23px;
}

.element_inter_visu_noeud
{
    display : inline-block;

    padding-bottom : 0px;
    padding-left : 4px;
    
    width: 98%;

    vertical-align: text-top;
    
    font-family: Arial;
}

.element_inter_visu_lien
{
    display : inline-block;

    padding-bottom : 0px;
    padding-left : 4px;

    width: 98%;

    vertical-align: text-top;
}

.icone_element_inter_visu_noeud
{
    border-radius: 9px;
    
    width: 19px;
    height : 19px;
    
    /* border : 2px solid black; */
    
    display : inline-block;
    
    vertical-align:middle;
    
    margin-right: 7px;
}

.icone_element_inter_visu_lien
{
    width: 22px;
    height : 10px;
    
    display : inline-block;
    
    vertical-align: middle;
    
    margin-right: 7px;
}

.bouton_inter_visu
{
    opacity: 1;
    
    border: none;

    padding : 0px;
    margin : 0px;
    
    width: 100%;
    
    background-color: rgb(255, 255, 255);
    
    text-align : left;
    
    color : black;
    padding : 3px;

    -webkit-transition-duration: 0.2s; /* Safari */
    transition-duration: 0.2s;
    
    font-family: Arial;
    font-size: 14px;
}

.bouton_inter_visu_cacher
{
    opacity: 0.3;
    
    border: none;

    padding : 0px;
    margin : 0px;
    
    width: 100%;
    
    background-color: rgb(255, 255, 255);
    
    text-align : left;
    
    color : black;
    padding : 3px;

    -webkit-transition-duration: 0.2s; /* Safari */
    transition-duration: 0.2s;
    
    font-family: Arial;
    font-size: 14px;
}

.bouton_inter_visu:hover
{
    background-color: rgb(225, 225, 225);
}

.bouton_inter_visu_cacher:hover
{
    background-color: rgb(225, 225, 225);
}

.img_inter_visu
{
    height: 13px;
    width: 17px;

    padding-left : 0px;
    margin-left : 0px;
}

.labelInterfVisualisation
{
    margin : 1px;
}

/***** Design de l'interface de recherche *****/
.bouton_requete
{
    display : inline-block;

    height: 30px;
    
    width: 80%;
    margin-left : 10%;
    margin-right : 10%;

    margin-top : 5px;
    
    font-size: 14px;
}

@media screen and (min-width: 1700px)
{
    .bouton_requete 
    {
        width: 48%;
        margin-left : 1%;
        margin-right : 1%;
    }
}

.bouton_requete img
{
    display : inline-block;

    vertical-align : middle;
}

#bouton_valider_requete
{
    width: 20%;
}

.cadre_recherche 
{
    font-size: 14px;
}

.cadre_recherche h4
{
    margin-bottom: 6px;
}

.select_interf_recherche
{
    margin-bottom: 5px;
    display : inline-block;
}

#checkbox_nom_complet
{
    vertical-align: middle;
}

.cadre_recherche select
{
    text-align : left;
}

.barre_recherche
{
    display : inline-block;
    
    width: 50%;
}

.condition_recherche
{
    display : inline-block;
    
    width: 30%;
    
    margin-left: 5px;
}

.label_recherche
{
    margin-right : 5px;
    
    display : inline-block;
}

.choix_propriete_recherche
{
    width: 200px;
}

.cadre_propriete_recherche
{
    padding : 3px;
    margin-bottom: 3px;
    border: 1px solid #82C8FE;
    border-radius: 5px;
}

.bouton_lancer_recherche
{
    height: 30px;
    width: 86%;

    display : inline-block;

    margin-left : 7%;
    margin-right : 7%;
    margin-bottom : 5px;
    margin-top : 8px;
}


/***** Design de l'interface d'informations *****/
#contenu_interf_infos h4
{
    font-size: 15px;
    
    margin-top : 0px;
    margin-bottom : 5px;
}

.interf_infos_propriete
{
    margin : 0px;	

    margin-bottom : 4px;
    margin-top : 4px;
}

.interf_infos_barre_exploration
{
    margin-bottom : 0px;
    margin-left : 4px;
}

#interf_infos_bouton_valider_exploration
{
    margin-left : 6px;
}

#interf_infos_quantite_barre_exploration
{
    text-align : center;
    width : 40px;
}

#interf_infos_barre_exploration_bouton_moins
{

}

#interf_infos_barre_exploration_bouton_plus
{

}

.img_interf_info
{
    max-width: 100%;
}

/* Affichage lors de la selection d'un noeud */
.interf_infos_noeud_aff_label
{
    border-radius: 10px;

    padding : 7px;

    display : inline-block;
}

.interf_infos_noeud_element_lien
{
    margin : 0px;
    padding : 0px;
}

.interf_infos_noeud_aff_lien
{
    display : inline-block;
    
    padding : 3px;

    border-radius: 0px;
    
    padding-right : 5px;
    padding-left : 5px;
    
    margin-top : 4px;
    margin-bottom : 4px;
    
    margin-left : 3px;
    
    font-weight: bold;
    font-style: italic;
}

.interf_infos_noeud_type_lien
{
    margin : 0px;
    padding : 0px;
    border : none;
    
    background-color: white;
    
    -webkit-transition-duration: 0.2s; /* Safari */
    transition-duration: 0.2s;
}

.interf_infos_noeud_type_lien:hover
{
    opacity: 0.7;
}

.interf_infos_noeud_bouton_lien
{
    margin : 0px;
    padding : 0px;
    border : none;
    
    background-color: white;
    
    margin-right : 2px;
    
    vertical-align: middle;
    
    -webkit-transition-duration: 0.2s; /* Safari */
    transition-duration: 0.2s;
}

.interf_infos_noeud_bouton_lien:hover
{
    opacity: 0.7;
}

.interf_infos_noeud_bouton_noeud_lier
{
    display : inline;

    margin-left : 3px;
    
    border : none;
    
    border-radius: 7px;
    
    max-width: 72%;
    
    padding : 4px;
    
    -webkit-transition-duration: 0.2s; /* Safari */
    transition-duration: 0.2s;
}

.interf_infos_noeud_bouton_noeud_lier:hover
{
    opacity: 0.7;
}

.interf_infos_noeud_aff_element_lies
{
    display : inline-block;
    
    margin-left : 10px;
    margin-bottom : 6px;
    width: 100%;
}

/* Affichage lors de la selection d'un lien */
.interf_infos_lien_aff_type
{
    border : none; 

    display : inline-block;
    text-align: center;

    padding : 3px;
    
    padding-left : 15px;
    padding-right : 15px;
}

.interf_infos_lien_aff_noeud
{
    border : none; 
    border-radius: 10px;

    display : inline-block;
    text-align: center;
    
    width: 90%;

    margin-top : 0px;
    margin-bottom : 0px;
    margin-left : 5%;
    margin-right : 5%;
    
    padding : 3px;
    
    -webkit-transition-duration: 0.2s; /* Safari */
    transition-duration: 0.2s;
}

.interf_infos_lien_aff_noeud:hover
{
    opacity: 0.75;
}

/* */
#image_capture
{
    display : block;

    margin-left : 5px;
    margin-bottom : 10px;
}

/* */
#bouton_export
{
    display : inline-block;
    background-color: rgb(255, 255, 255);
    width: 98%;
    
    color : black;
    text-decoration:none; 
    
    margin : 0px;
    padding-left : 3px;
    
    float : left;
}

#bouton_export:hover
{
    background-color: rgb(225, 225, 225);
}

#image_export
{
    display : inline-block;
    
    float : left;
    
    margin : 0px;
    margin-top : -4px;
    margin-right : 12px;
    
    height: 26px;
    width: 20px;
}

/* Design des annotations (textarea et boutons) */
#textarea_annotation
{
    width: 100%;
    border : 1px solid #bbbbbb;
}

#sav_annotation
{
    margin-left : 0%;
    margin-right : 0.5%;
        
    width: 49%;
    
    margin-top: 2px;
}

#liste_annotations
{
    margin-left : 0.5%;
    margin-right : 0%;

    width: 49%;
    
    margin-top: 2px;
}

